|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.springframework.context.support.ApplicationObjectSupport
org.springframework.web.context.support.WebApplicationObjectSupport
org.springframework.web.servlet.handler.AbstractHandlerMapping
org.springframework.web.servlet.handler.AbstractHandlerMethodMapping<org.springframework.web.servlet.mvc.method.RequestMappingInfo>
org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping
org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping
org.springframework.security.oauth2.provider.endpoint.FrameworkEndpointHandlerMapping
public class FrameworkEndpointHandlerMapping
A handler mapping for framework endpoints (those annotated with @FrameworkEndpoint).
| Field Summary |
|---|
| Fields inherited from class org.springframework.context.support.ApplicationObjectSupport |
|---|
logger |
| Fields inherited from interface org.springframework.web.servlet.HandlerMapping |
|---|
BEST_MATCHING_PATTERN_ATTRIBUTE, INTROSPECT_TYPE_LEVEL_MAPPING, MATRIX_VARIABLES_ATTRIBUTE, PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, PRODUCIBLE_MEDIA_TYPES_ATTRIBUTE, URI_TEMPLATE_VARIABLES_ATTRIBUTE |
| Fields inherited from interface org.springframework.core.Ordered |
|---|
HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE |
| Constructor Summary | |
|---|---|
FrameworkEndpointHandlerMapping()
|
|
| Method Summary | |
|---|---|
protected org.springframework.web.servlet.mvc.method.RequestMappingInfo |
getMappingForMethod(Method method,
Class<?> handlerType)
|
protected boolean |
isHandler(Class<?> beanType)
Detects @FrameworkEndpoint annotations in handler beans. |
void |
setApprovalParameter(String approvalParameter)
The name of the request parameter that distinguishes a call to approve an authorization. |
void |
setMappings(Map<String,String> patternMap)
Custom mappings for framework endpoint paths. |
| Methods inherited from class org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping |
|---|
afterPropertiesSet, getContentNegotiationManager, getCustomMethodCondition, getCustomTypeCondition, getFileExtensions, resolveEmbeddedValuesInPatterns, setContentNegotiationManager, setEmbeddedValueResolver, setUseRegisteredSuffixPatternMatch, setUseSuffixPatternMatch, setUseTrailingSlashMatch, useRegisteredSuffixPatternMatch, useSuffixPatternMatch, useTrailingSlashMatch |
| Methods inherited from class org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping |
|---|
getMappingComparator, getMappingPathPatterns, getMatchingMapping, handleMatch, handleNoMatch |
| Methods inherited from class org.springframework.web.servlet.handler.AbstractHandlerMethodMapping |
|---|
createHandlerMethod, detectHandlerMethods, getHandlerInternal, getHandlerMethods, handlerMethodsInitialized, initHandlerMethods, lookupHandlerMethod, registerHandlerMethod, setDetectHandlerMethodsInAncestorContexts |
| Methods inherited from class org.springframework.web.servlet.handler.AbstractHandlerMapping |
|---|
adaptInterceptor, detectMappedInterceptors, extendInterceptors, getAdaptedInterceptors, getDefaultHandler, getHandler, getHandlerExecutionChain, getMappedInterceptors, getOrder, getPathMatcher, getUrlPathHelper, initApplicationContext, initInterceptors, setAlwaysUseFullPath, setDefaultHandler, setInterceptors, setOrder, setPathMatcher, setRemoveSemicolonContent, setUrlDecode, setUrlPathHelper |
| Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport |
|---|
getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext |
| Methods inherited from class org.springframework.context.support.ApplicationObjectSupport |
|---|
getApplicationContext, getMessageSourceAccessor, requiredContextClass, setApplicationContext |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public FrameworkEndpointHandlerMapping()
| Method Detail |
|---|
public void setMappings(Map<String,String> patternMap)
mappings - the mappings to setpublic void setApprovalParameter(String approvalParameter)
AuthorizationRequest#USER_OAUTH_APPROVAL.
approvalParameter - the approvalParameter to setprotected boolean isHandler(Class<?> beanType)
isHandler in class org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMappingRequestMappingHandlerMapping.isHandler(java.lang.Class)
protected org.springframework.web.servlet.mvc.method.RequestMappingInfo getMappingForMethod(Method method,
Class<?> handlerType)
getMappingForMethod in class org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||